<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EAdminLicenseInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EAdminLicenseInfo">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="relativePersonName" column="relative_person_name" jdbcType="VARCHAR"/>
            <result property="relativePersonType" column="relative_person_type" jdbcType="VARCHAR"/>
            <result property="entityCode" column="entity_code" jdbcType="VARCHAR"/>
            <result property="businessRegistrationNumber" column="business_registration_number" jdbcType="VARCHAR"/>
            <result property="legalRepresentative" column="legal_representative" jdbcType="VARCHAR"/>
            <result property="legalRepresentativeIdType" column="legal_representative_id_type" jdbcType="VARCHAR"/>
            <result property="legalRepresentativeIdNumber" column="legal_representative_id_number" jdbcType="VARCHAR"/>
            <result property="idType" column="id_type" jdbcType="VARCHAR"/>
            <result property="licenseDocumentName" column="license_document_name" jdbcType="VARCHAR"/>
            <result property="licenseDocumentNumber" column="license_document_number" jdbcType="VARCHAR"/>
            <result property="licenseCategory" column="license_category" jdbcType="VARCHAR"/>
            <result property="otherLicenseCategoryDescription" column="other_license_category_description" jdbcType="VARCHAR"/>
            <result property="licenseCertificateName" column="license_certificate_name" jdbcType="VARCHAR"/>
            <result property="licenseNumber" column="license_number" jdbcType="VARCHAR"/>
            <result property="licenseContent" column="license_content" jdbcType="VARCHAR"/>
            <result property="licenseDecisionDate" column="license_decision_date" jdbcType="DATE"/>
            <result property="validFrom" column="valid_from" jdbcType="DATE"/>
            <result property="validTo" column="valid_to" jdbcType="DATE"/>
            <result property="licenseIssuingAuthority" column="license_issuing_authority" jdbcType="VARCHAR"/>
            <result property="licenseIssuingAuthorityCode" column="license_issuing_authority_code" jdbcType="VARCHAR"/>
            <result property="currentStatus" column="current_status" jdbcType="VARCHAR"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,relative_person_name,relative_person_type,
        entity_code,business_registration_number,legal_representative,
        legal_representative_id_type,legal_representative_id_number,id_type,
        license_document_name,license_document_number,license_category,
        other_license_category_description,license_certificate_name,license_number,
        license_content,license_decision_date,valid_from,
        valid_to,license_issuing_authority,license_issuing_authority_code,
        current_status,remarks,create_time,
        create_by,update_time,update_by
    </sql>
</mapper>
